@import '~@angular/material/theming';
@import '/src/styles/custom-theme/custom-theme.scss';

.container {
  width: var(--container-width);
  margin: 0 auto;
  min-height: 80vh;
}

.card {
  mat-card-title {
    cursor: default;
  }
  &__header {
    background-color: lightgreens;
  }
  &__content {
    display: flex;
    justify-content: space-between;
    position: relative;
  }

  &__column {
    display: flex;
    flex-direction: column;
    width: 700px;
  }

  .recently-used {
    width: 280px;
    cursor: default;
    .title {
      margin-top: 0;
      font-size: 18px;
      padding: 15px 0;
      display: block;
      box-sizing: border-box;
      height: 55px;
    }
  }
}

:host::ng-deep {
  .form textarea {
    background-color: rgba($color: #000000, $alpha: 0.05);
    border-radius: 5px;
    box-sizing: border-box;
    padding: 10px;
  }

  .card__content ttip-time-card > mat-card {
    background-color: mat-color($custom-theme-primary);

    color: mat-color($custom-theme-accent);
    .link {
      color: mat-color($custom-theme-accent-300);
    }
  }
}
